from __future__ import division
import numpy as np
import pylab as plt

fig = plt.figure()
ax = fig.add_subplot(111)
ax.set_yticklabels([])
ax.set_xticklabels([])

plt.plot([-10, 10], [0, 0], 'k-', lw=3)
plt.plot([0, 0],[-10, 10], 'k-', lw=3)


plt.arrow(0,0,-4,6, 'b-', lw=3, head_length=.4, head_width=.4, ec='b')
plt.arrow(0,0,8,7,'b-',  lw=3, head_length=.4, head_width=.4,ec='b')
plt.arrow(-4,6,12,1, 'b-', lw=3, head_length=.4, head_width=.4,ec='b')

bbox_props = dict(boxstyle="round", fc="w", ec="0.5", alpha=0.9)
plt.annotate(r'$\vec r - \vec r^\prime$',xy=(1,6.5),fontsize=20,ha="center",va="center",bbox=bbox_props)
plt.annotate(r'$\vec r^\prime $',xy=(-2,3),fontsize=20,ha="center",va="center",bbox=bbox_props)
plt.annotate(r'$\vec r$',xy=(4,3.5),fontsize=20,ha="center",va="center",bbox=bbox_props)
plt.annotate('dM',xy=(-4,7.5),fontsize=20,ha="center",va="center",bbox=bbox_props)
plt.annotate('Obs',xy=(8,8.5),fontsize=20,ha="center",va="center",bbox=bbox_props)
plt.ylabel('y',fontsize=20,rotation=0,ha='right')
plt.xlabel('x',fontsize=20)

plt.axis([-10, 10, -10, 10])
#plt.show()
plt.savefig('r_rprime.pdf')